Developers
API referenceReferenceWorkflows

Workflow runs - List

List execution history for one workflow.

GET
/v1/business/{business_slug}/workflows/{workflow_id}/runs/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

workflow_id*integer

Identifier of the target workflow. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.

Query Parameters

page?integer

A page number within the paginated result set.

page_size?integer

Number of results to return per page.

Response Body

application/json

curl -X GET "https://example.com/v1/business/string/workflows/0/runs/"
{  "count": 123,  "next": 2,  "prev": 1,  "size": 30,  "results": [    {      "id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "version_number": 0,      "status": "pending",      "trigger_node_uuid": "string",      "event_id": -2147483648,      "started_at": "2019-08-24T14:15:22Z",      "finished_at": "2019-08-24T14:15:22Z",      "last_error": "string"    }  ]}